#! /usr/local/bin/perl
# $Id: eucconv.pl,v 1.3 2019-05-10 16:15:03+09 shige Exp $
#
# Kanji translator from EUC-JP to {UTF-8/SJIS} (used in l2h-jp)
# 
#
use Encode;

binmode STDIN,":encoding(euc-jp)";

if ( $#ARGV >= 0 && $ARGV[0] =~ /utf/i ) {
    binmode STDOUT,":utf8";
    $tocode = "UTF-8";
} elsif ( $#ARGV >= 0 && $ARGV[0] =~ /(sjis|shift-jis)/i ) {
    binmode STDOUT,":encoding(shiftjis)";
    $tocode = "Shift_JIS";
} elsif ( $#ARGV >= 0 && $ARGV[0] =~ /^(jis|iso-2022-jp)/i ) {
    binmode STDOUT,":encoding(iso-2022-jp)";
    $tocode = "ISO-2022-JP";
} else {
    binmode STDOUT,":encoding(euc-jp)";
    $tocode = "EUC-JP";
}

while ( <STDIN> ) {
    print;
} 
